complexType "InterestRateStream"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, calculationPeriodDates?, paymentDates?, resetDates?, calculationPeriodAmount?, stubCalculationPeriodAmount?, principalExchanges?, cashflows?, settlementProvision?, formula?
</...>

Content Model Elements (13):

  calculationPeriodAmount,
  calculationPeriodDates,
  cashflows,
  formula (defined in InterestRateStream complexType),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentDates (defined in InterestRateStream complexType),
  principalExchanges (defined in InterestRateStream complexType),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  resetDates,
  settlementProvision,
  stubCalculationPeriodAmount

All Direct / Indirect Based Elements (2):

  capFloorStream, swapStream

Known Usage Locations

- As direct type of elements (2):
  capFloorStream, swapStream

Annotation
A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments.
Type Definition Detail

Type Derivation Tree Leg (extension) InterestRateStream

XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="InterestRateStream"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="calculationPeriodDates" type="CalculationPeriodDates"/> <xsd:element minOccurs="0" name="paymentDates" type="PaymentDates"/> <xsd:element minOccurs="0" name="resetDates" type="ResetDates"/> <xsd:element minOccurs="0" name="calculationPeriodAmount" type="CalculationPeriodAmount"/> <xsd:element minOccurs="0" name="stubCalculationPeriodAmount" type="StubCalculationPeriodAmount"/> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/> <xsd:element minOccurs="0" name="cashflows" type="Cashflows"/> <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"/> <xsd:element minOccurs="0" name="formula" type="Formula"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/13)
calculationPeriodAmount

  Type: | CalculationPeriodAmount, complex content

  The calculation period amount parameters.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodAmount" type="CalculationPeriodAmount"/>

calculationPeriodDates

  Type: | CalculationPeriodDates, complex content

  The calculation periods dates schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDates" type="CalculationPeriodDates"/>

cashflows

  Type: | Cashflows, complex content

  The cashflows representation of the swap stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflows" type="Cashflows"/>

formula

  Type: | Formula, complex content

  An interest rate derivative formula.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="formula" type="Formula"/>

paymentDates

  Type: | PaymentDates, complex content

  The payment dates schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDates" type="PaymentDates"/>

principalExchanges

  Type: | PrincipalExchanges, complex content

  The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/>

resetDates

  Type: | ResetDates, complex content

  The reset dates schedule. The reset dates schedule only applies for a floating rate stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetDates" type="ResetDates"/>

settlementProvision

  Type: | SettlementProvision, complex content

  A provision that allows the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"/>

stubCalculationPeriodAmount

  Type: | StubCalculationPeriodAmount, complex content

  The stub calculation period amount parameters. This element must only be included if there is an initial or final stub calculation period. Even then, it must only be included if either the stub references a different floating rate tenor to the regular calculation periods, or if the stub is calculated as a linear interpolation of two different floating rate tenors, or if a specific stub rate or stub amount has been negotiated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubCalculationPeriodAmount" type="StubCalculationPeriodAmount"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.